package tagrepository

import (
	tagdomain "legalgo-BE-go/internal/domain/tag"
)

func (acc *accessor) GetAll() ([]tagdomain.Tag, error) {
	var tags []tagdomain.Tag

	if err := acc.db.Find(&tags).Error; err != nil {
		return nil, err
	}

	return tags, nil
}
